=== modified file 'delivery_mechanism/delivery_mechanism.py'
--- delivery_mechanism/delivery_mechanism.py	2012-06-07 10:11:23 +0000
+++ delivery_mechanism/delivery_mechanism.py	2012-06-13 12:43:21 +0000
@@ -107,19 +107,21 @@
                         procurement_id = obj.purchase_line_id.procurement_id.id
                         # find the corresponding sale order line
                         so_line_ids = so_line_obj.search(cr, uid, [('procurement_id', '=', procurement_id)], context=context)
-                        assert len(so_line_ids) == 1, 'number of so line is wrong - 1 - %s'%len(so_line_ids)
-                        # find the corresponding OUT move
-                        # move_ids = self.search(cr, uid, [('product_id', '=', obj.product_id.id), ('product_qty', '=', obj.product_qty), ('state', 'in', ('assigned', 'confirmed')), ('sale_line_id', '=', so_line_ids[0])], context=context)
-                        move_ids = self.search(cr, uid, [('product_id', '=', data_back['product_id']), ('state', 'in', ('assigned', 'confirmed')), ('sale_line_id', '=', so_line_ids[0])], context=context)
-                        # list of matching out moves
-                        integrity_check = []
-                        for move in self.browse(cr, uid, move_ids, context=context):
-                            # move from draft picking or standard picking
-                            if (move.picking_id.subtype == 'picking' and not move.picking_id.backorder_id and move.picking_id.state == 'draft') or (move.picking_id.subtype == 'standard') and move.picking_id.type == 'out':
-                                integrity_check.append(move.id)
-                        # return the first one matching
-                        if integrity_check:
-                            res[obj.id] = integrity_check[0]
+                        # if the procurement comes from replenishment rules, there will be a procurement, but no associated sale order line
+                        # we therefore do not raise an exception, but handle the case only if sale order lines are found
+                        if so_line_ids:
+                            # find the corresponding OUT move
+                            # move_ids = self.search(cr, uid, [('product_id', '=', obj.product_id.id), ('product_qty', '=', obj.product_qty), ('state', 'in', ('assigned', 'confirmed')), ('sale_line_id', '=', so_line_ids[0])], context=context)
+                            move_ids = self.search(cr, uid, [('product_id', '=', data_back['product_id']), ('state', 'in', ('assigned', 'confirmed')), ('sale_line_id', '=', so_line_ids[0])], context=context)
+                            # list of matching out moves
+                            integrity_check = []
+                            for move in self.browse(cr, uid, move_ids, context=context):
+                                # move from draft picking or standard picking
+                                if (move.picking_id.subtype == 'picking' and not move.picking_id.backorder_id and move.picking_id.state == 'draft') or (move.picking_id.subtype == 'standard') and move.picking_id.type == 'out':
+                                    integrity_check.append(move.id)
+                            # return the first one matching
+                            if integrity_check:
+                                res[obj.id] = integrity_check[0]
             else:
                 # we are looking for corresponding IN from on_order purchase order
                 assert False, 'This method is not implemented for OUT or Internal moves'

=== added directory 'msf_processes'
=== added file 'msf_processes/__init__.py'
--- msf_processes/__init__.py	1970-01-01 00:00:00 +0000
+++ msf_processes/__init__.py	2012-05-23 12:07:45 +0000
@@ -0,0 +1,1 @@
+import process

=== added file 'msf_processes/__openerp__.py'
--- msf_processes/__openerp__.py	1970-01-01 00:00:00 +0000
+++ msf_processes/__openerp__.py	2012-06-07 13:18:11 +0000
@@ -0,0 +1,56 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# 
+##############################################################################
+{
+    "name" : "MSF Processes",
+    "version" : "1.0",
+    "author" : "TeMPO Consulting, MSF",
+    "category": "Others",
+    "description": """
+        Process
+    """,
+    "website": "http://unifield.msf.org",
+    "init_xml": [],
+    "depends" : ["account",
+                 "procurement",
+                 "sale",
+                 "purchase",
+                 "tender_flow",
+                 "stock",
+                 "msf_outgoing",
+                 ],
+    "update_xml": [# see process_dependencies.xmind for detail about dependencies
+                   "process/ship_process.xml", #1
+                   "process/draft_ship_process.xml", #2
+                   "process/ppl_process.xml", #3
+                   "process/picking_process.xml", #4
+                   "process/outgoing_process.xml", #5
+                   "process/incoming_process.xml", #6
+                   "process/rfq_process.xml", #7
+                   "process/purchase_process.xml", #8
+                   "process/tender_process.xml", #9
+                   "process/procurement_process.xml", #10
+                   "process/sale_process.xml", #11
+                   ],
+    "demo_xml": [],
+    "test": [],
+    "installable": True,
+    "active": False,
+}

=== added directory 'msf_processes/process'
=== added file 'msf_processes/process/draft_ship_process.xml'
--- msf_processes/process/draft_ship_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/draft_ship_process.xml	2012-06-07 13:18:11 +0000
@@ -0,0 +1,68 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process -->
+        
+        <record id="msf_outgoing.process_process_draft_ship0" model="process.process">
+            <field eval="&quot;&quot;&quot;Draft Shipment&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node outgoing -->
+        
+		<record id="msf_outgoing.process_node_draft_ship_draft" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Ship. - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of draft shipment.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_draft_ship0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_ship_done" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Ship. - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of draft shipment.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_draft_ship0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_ship_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_draft_ship0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="msf_outgoing.process_transition_draft_ship_draft_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_ship_draft"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_ship_done"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_draft_ship_draft_ship_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_ship_draft"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_ship_ship"/>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/incoming_process.xml'
--- msf_processes/process/incoming_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/incoming_process.xml	2012-06-07 13:18:11 +0000
@@ -0,0 +1,106 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process -->
+        
+        <record id="stock.process_process_incoming0" model="process.process">
+            <field eval="&quot;&quot;&quot;Incoming&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node -->
+        
+        <record id="stock.process_node_in_draft" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;In - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="stock.process_process_incoming0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="stock.process_node_in_confirmed" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;In - not available&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Not available state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="stock.process_process_incoming0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="stock.process_node_in_assigned" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;In - available&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Available state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="stock.process_process_incoming0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="stock.process_node_in_done" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;In - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="stock.process_process_incoming0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="stock.process_node_in_backorder" model="process.node">
+        	<field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <!-- <field name="model_id" ref="stock.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Backorder&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Backorder of incoming products subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="stock.process_process_incoming0"/>
+            <field name="subflow_id" ref="stock.process_process_incoming0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="stock.process_transition_in_draft_confirmed" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to confirmed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to confirmed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="stock.process_node_in_draft"/>
+            <field model="process.node" name="target_node_id" ref="stock.process_node_in_confirmed"/>
+        </record>
+        
+        <record id="stock.process_transition_in_confirmed_assigned" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From confirmed to assigned.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From confirmed to assigned.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="stock.process_node_in_confirmed"/>
+            <field model="process.node" name="target_node_id" ref="stock.process_node_in_assigned"/>
+        </record>
+        
+        <record id="stock.process_transition_in_assigned_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="stock.process_node_in_assigned"/>
+            <field model="process.node" name="target_node_id" ref="stock.process_node_in_done"/>
+        </record>
+        
+        <record id="stock.process_transition_in_assigned_backorder" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to backorder.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to backorder.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="stock.process_node_in_assigned"/>
+            <field model="process.node" name="target_node_id" ref="stock.process_node_in_backorder"/>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/outgoing_process.xml'
--- msf_processes/process/outgoing_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/outgoing_process.xml	2012-06-07 15:50:33 +0000
@@ -0,0 +1,245 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process outgoing -->
+        
+        <record id="msf_outgoing.process_process_outgoing0" model="process.process">
+            <field eval="&quot;&quot;&quot;Standard Outgoing&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node outgoing -->
+        
+        <record id="msf_outgoing.process_node_out_draft" model="process.node">
+            <field name="menu_id" ref="stock.action_picking_tree"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Out - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_out_confirmed" model="process.node">
+            <field name="menu_id" ref="stock.action_picking_tree"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Out - not available&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Not available state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_out_assigned" model="process.node">
+            <field name="menu_id" ref="stock.action_picking_tree"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Out - available&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Available state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_out_done" model="process.node">
+            <field name="menu_id" ref="stock.action_picking_tree"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Out - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+		<record id="msf_outgoing.process_node_out_delivered" model="process.node">
+            <field name="menu_id" ref="stock.action_picking_tree"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Out - delivered&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Delivered state of incoming product.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done' and object.delivered&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_out_backorder" model="process.node">
+        	<field name="menu_id" ref="stock.action_picking_tree"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Backorder&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Backorder of incoming products subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="msf_outgoing.process_transition_out_draft_confirmed" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to confirmed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to confirmed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_out_draft"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_out_confirmed"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_out_confirmed_assigned" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From confirmed to assigned.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From confirmed to assigned.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_out_confirmed"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_out_assigned"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_out_assigned_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_out_assigned"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_out_done"/>
+        </record>
+        
+		<record id="msf_outgoing.process_transition_out_done_delivered" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From closed to delivered.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From closed to delivered.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_out_done"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_out_delivered"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_out_assigned_backorder" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to backorder.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to backorder.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_out_assigned"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_out_backorder"/>
+        </record>
+        
+        <!-- Process Node picking -->
+        
+        <record id="msf_outgoing.process_process_outgoing1" model="process.process">
+            <field eval="&quot;&quot;&quot;Draft Picking Ticket&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_pick_draft" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Picking - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of draft picking ticket.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing1"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_pick_done" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Picking - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of draft picking ticket.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing1"/>
+            <field eval="&quot;&quot;&quot;object.state in ('auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_pick_picking" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Picking Ticket&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Picking Ticket subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing1"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_picking0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_pick_ppl" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_ppl"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PPL&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Pre-packing list subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing1"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_ppl0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_pick_draft_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing1"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_draft_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_draft_pick_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_outgoing1"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="msf_outgoing.process_transition_draft_pick_draft_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_pick_draft"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_pick_done"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_draft_pick_draft_picking" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to picking.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to picking.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_pick_draft"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_pick_picking"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_draft_pick_picking_ppl" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From picking to ppl.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From picking to ppl.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_pick_picking"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_pick_ppl"/>
+        </record>
+        
+		<record id="msf_outgoing.process_transition_draft_pick_ppl_draft_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From ppl to draft shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From ppl to draft shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_pick_ppl"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_pick_draft_ship"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_draft_pick_draft_ship_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_draft_pick_draft_ship"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_draft_pick_ship"/>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/picking_process.xml'
--- msf_processes/process/picking_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/picking_process.xml	2012-06-07 13:18:11 +0000
@@ -0,0 +1,127 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process -->
+        
+        <record id="msf_outgoing.process_process_picking0" model="process.process">
+            <field eval="&quot;&quot;&quot;Picking Ticket&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node -->
+        
+        <record id="msf_outgoing.process_node_pick_confirmed" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Picking - not avail.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Not available state of picking ticket.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_picking0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('auto', 'confirmed', 'assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_pick_assigned" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Picking - available&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Available state of picking ticket.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_picking0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_pick_done" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Picking - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of picking ticket.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_picking0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_pick_ppl" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_ppl"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PPL&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Pre-packing list subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_picking0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_ppl0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_pick_draft_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_picking0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_draft_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_pick_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_picking0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="msf_outgoing.process_transition_pick_confirmed_assigned" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From confirmed to assigned.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From confirmed to assigned.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_pick_confirmed"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_pick_assigned"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_pick_assigned_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_pick_assigned"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_pick_done"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_pick_assigned_ppl" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to ppl.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to ppl.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_pick_assigned"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_pick_ppl"/>
+        </record>
+        
+		<record id="msf_outgoing.process_transition_pick_ppl_draft_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From ppl to draft shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From ppl to draft shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_pick_ppl"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_pick_draft_ship"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_pick_draft_ship_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_pick_draft_ship"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_pick_ship"/>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/ppl_process.xml'
--- msf_processes/process/ppl_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/ppl_process.xml	2012-06-07 13:18:11 +0000
@@ -0,0 +1,88 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process -->
+        
+        <record id="msf_outgoing.process_process_ppl0" model="process.process">
+            <field eval="&quot;&quot;&quot;Pre-Packing List&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node -->
+        
+        <record id="msf_outgoing.process_node_ppl_assigned" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_ppl"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PPL - available&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Available state of pre-packing list.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ppl0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('assigned', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_ppl_done" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_ppl"/>
+            <field name="model_id" ref="msf_outgoing.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PPL - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of pre-packing list.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ppl0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_ppl_draft_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ppl0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_draft_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_ppl_ship" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <!-- <field name="model_id" ref="msf_outgoing.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Shipment subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ppl0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_ship0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="msf_outgoing.process_transition_ppl_assigned_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From assigned to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_ppl_assigned"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_ppl_done"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_ppl_assigned_draft_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From available to draft shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From available to draft shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_ppl_assigned"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_ppl_draft_ship"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_ppl_draft_ship_ship" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft shipment to shipment.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_ppl_draft_ship"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_ppl_ship"/>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/procurement_process.xml'
--- msf_processes/process/procurement_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/procurement_process.xml	2012-06-07 15:50:33 +0000
@@ -0,0 +1,209 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process -->
+        
+        <record id="procurement.process_process_procurementprocess0" model="process.process">
+            <field eval="&quot;&quot;&quot;Procurement&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="procurement.model_procurement_order"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node -->
+        
+    	<record id="procurement.process_node_procureproducts0" model="process.node">
+            <field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+            <field name="model_id" ref="procurement.model_procurement_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft state of procurement order.&quot;&quot;&quot;" name="note"/>
+            <field eval="&quot;&quot;&quot;Proc - draft&quot;&quot;&quot;" name="name"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'confirmed', 'exception', 'running', 'ready', 'done', 'waiting')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_confirmed" model="process.node">
+            <field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+            <field name="model_id" ref="procurement.model_procurement_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Confirmed state of procurement order.&quot;&quot;&quot;" name="note"/>
+            <field eval="&quot;&quot;&quot;Proc - confirmed&quot;&quot;&quot;" name="name"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('confirmed', 'exception', 'running', 'ready', 'done', 'waiting')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_exception" model="process.node">
+            <field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+            <field name="model_id" ref="procurement.model_procurement_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Exception state of procurement order.&quot;&quot;&quot;" name="note"/>
+            <field eval="&quot;&quot;&quot;Proc - exception&quot;&quot;&quot;" name="name"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'exception'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_running" model="process.node">
+            <field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+            <field name="model_id" ref="procurement.model_procurement_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Converted state of procurement order.&quot;&quot;&quot;" name="note"/>
+            <field eval="&quot;&quot;&quot;Proc - converted&quot;&quot;&quot;" name="name"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('running', 'ready', 'done', 'waiting')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_done" model="process.node">
+            <field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+            <field name="model_id" ref="procurement.model_procurement_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Closed state of procurement order.&quot;&quot;&quot;" name="note"/>
+            <field eval="&quot;&quot;&quot;Proc - closed&quot;&quot;&quot;" name="name"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_tender" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <!-- <field name="model_id" ref="tender_flow.model_tender"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Tender subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="subflow_id" ref="tender_flow.process_process_tender"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state == 'draft'&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_po" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <!-- <field name="model_id" ref="purchase.model_purchase_order"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Purchase Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Purchase Order subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="subflow_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state == 'draft'&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="procurement.process_node_procure_in" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <!-- <field name="model_id" ref="purchase.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Incoming Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming products subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field name="subflow_id" ref="stock.process_process_incoming0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('comparison', 'done')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- transitions -->
+        
+        <record id="procurement.process_transition_draft_confirmed" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Confirm Procurement Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The procurement order is being confirmed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procureproducts0"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_confirmed"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_confirmed_exception" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;The Procurement Order goes in exception&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The procurement order goes in exception.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_confirmed"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_exception"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_exception_confirmed" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;The Procurement Order goes in confirmed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The procurement order goes in confirmed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_exception"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_confirmed"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_confirmed_running" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;The Procurement Order goes in exception&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The procurement order goes in exception.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_confirmed"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_running"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_running_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;The Procurement Order goes in closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The procurement order goes in closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_running"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_done"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_running_tender" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Tender is created&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Tender is created&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_running"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_tender"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_running_po" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Tender is created&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Tender is created&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_running"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_po"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_tender_po" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Purchase Order is created.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Purchase Order is created.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_tender"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_po"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="procurement.process_transition_po_in" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Incoming Products is created.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming Products is created.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="procurement.process_node_procure_po"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procure_in"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <!-- Process process Service -->
+        
+		<record id="procurement.process_process_serviceproductprocess0" model="process.process">
+			<field eval="&quot;&quot;&quot;Service&quot;&quot;&quot;" name="name"/>
+			<field name="model_id" ref="procurement.model_procurement_order"/>
+			<field eval="0" name="active"/>
+		</record>
+		
+      	<record id="procurement.process_node_serviceonorder0" model="process.node">
+			<field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+			<field name="model_id" ref="procurement.model_procurement_order"/>
+			<field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+			<field eval="&quot;&quot;&quot;Assignment from Production or Purchase Order.&quot;&quot;&quot;" name="note"/>
+			<field eval="&quot;&quot;&quot;Make to Order&quot;&quot;&quot;" name="name"/>
+			<field name="process_id" ref="procurement.process_process_serviceproductprocess0"/>
+			<field eval="&quot;&quot;&quot;object.state in ('draft', 'confirmed', 'cancel', 'exception', 'running', 'done', 'waiting')&quot;&quot;&quot;" name="model_states"/>
+			<field eval="0" name="flow_start"/>
+		</record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/purchase_process.xml'
--- msf_processes/process/purchase_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/purchase_process.xml	2012-05-24 14:44:00 +0000
@@ -0,0 +1,311 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+        <!--
+            Process
+        -->
+
+        <record id="purchase.process_process_purchaseprocess0" model="process.process">
+            <field eval="1" name="active"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;Purchase Order&quot;&quot;&quot;" name="name"/>
+        </record>
+
+        <!--
+            Process Node
+        -->
+
+        <record id="purchase.process_node_packinginvoice0" model="process.node">
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Outgoing Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Outgoing products to invoice&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="account.process_process_invoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+
+        <record id="purchase.process_node_purchaseorder0" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Purchase Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Confirmed purchase order to invoice&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="account.process_process_supplierinvoiceprocess0"/>
+            <field name="subflow_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state=='draft'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+
+        <record id="purchase.process_node_draftpurchaseorder0" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PO - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of purchase order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'wait', 'confirmed', 'approved', 'except_picking', 'except_invoice', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="purchase.process_node_draftpurchaseorder1" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PO - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of purchase order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="purchase.process_node_confirmpurchaseorder0" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PO - validated&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Validated state of purchase order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('confirmed', 'approved', 'except_picking', 'except_invoice', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="purchase.process_node_approvepurchaseorder0" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;PO - confirmed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Confirmed state of purchase order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('approved', 'except_picking', 'except_invoice', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+<!-- 
+        <record id="purchase.process_node_invoicecontrol0" model="process.node">
+            <field name="menu_id" ref="account.menu_action_invoice_tree2"/>
+            <field name="model_id" ref="account.model_account_invoice"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;To be reviewed by the accountant.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="subflow_id" ref="account.process_process_supplierinvoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state=='draft'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+ -->
+
+		<record id="purchase.process_node_packinglist0" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Incoming Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming products subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="subflow_id" ref="stock.process_process_incoming0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('approved', 'except_picking', 'except_invoice', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="purchase.process_node_productrecept0" model="process.node">
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Incoming Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming products to control&quot;&quot;&quot;" name="note"/>
+            <field name="subflow_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="process_id" ref="account.process_process_supplierinvoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'open', 'pending', 'close')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+<!-- 
+        <record id="purchase.process_node_invoiceafterpacking0" model="process.node">
+            <field name="menu_id" ref="account.menu_finance_receivables"/>
+            <field name="model_id" ref="account.model_account_invoice"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Draft Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;To be reviewed by the accountant.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="subflow_id" ref="account.process_process_supplierinvoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state=='draft'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+ -->
+        <record id="purchase.process_node_productrecept0" model="process.node">
+            <field name="model_id" ref="stock.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Incoming Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming products to control&quot;&quot;&quot;" name="note"/>
+            <field name="subflow_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="process_id" ref="account.process_process_supplierinvoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'open', 'pending', 'close')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+
+        <!--
+            Process Condition
+        -->
+<!-- 
+        <record id="purchase.process_condition_conditionorigin" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_draftpurchaseorder1"/>
+            <field eval="&quot;&quot;&quot;object.origin==''&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_origin&quot;&quot;&quot;" name="name"/>
+        </record>
+ -->
+<!-- 
+        <record id="purchase.process_condition_conditioninvoicemanual" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_invoicecontrol0"/>
+            <field eval="&quot;&quot;&quot;object.invoice_method=='manual'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_invoice_manual&quot;&quot;&quot;" name="name"/>
+        </record>
+ -->
+ 
+ 		<record id="purchase.process_condition_po_draft_not_rfq" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_draftpurchaseorder0"/>
+            <field eval="&quot;&quot;&quot;not object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_po_draft&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="purchase.process_condition_po_validated_not_rfq" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_confirmpurchaseorder0"/>
+            <field eval="&quot;&quot;&quot;not object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_po_validated&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="purchase.process_condition_po_confirmed_not_rfq" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_approvepurchaseorder0"/>
+            <field eval="&quot;&quot;&quot;not object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_po_confirmed&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="purchase.process_condition_po_done_not_rfq" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_draftpurchaseorder1"/>
+            <field eval="&quot;&quot;&quot;not object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_po_done&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <!--
+            Process Transition
+        -->
+<!-- 
+        <record id="purchase.process_transition_productrecept0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From a Pick list&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;A Pick list generates a supplier invoice. Depending on the Invoicing control of the purchase order, the invoice is based on received or on ordered quantities.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="account.process_node_supplierdraftinvoices0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_productrecept0"/>
+        </record>
+ -->
+        <record id="purchase.process_transition_confirmingpurchaseorder0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Confirmation&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The buyer has to approve the RFQ before being sent to the supplier. The RFQ becomes a confirmed Purchase Order.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_confirmpurchaseorder0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_draftpurchaseorder0"/>
+            <field eval="[(6,0,[ref('purchase.trans_draft_confirmed')])]" name="transition_ids"/>
+        </record>
+ 
+        <record id="purchase.process_transition_confirmingpurchaseorder1" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Confirmation&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;In case there is no supplier for this product, the buyer can fill the form manually and confirm it. The RFQ becomes a confirmed Purchase Order.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_approvepurchaseorder0"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_draftpurchaseorder1"/>
+        </record>
+
+        <record id="purchase.process_transition_approvingpurchaseorder0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Approbation&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The supplier approves the Purchase Order.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_approvepurchaseorder0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_confirmpurchaseorder0" />
+        </record>
+<!-- 
+        <record id="purchase.process_transition_invoicefrompurchase0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The invoice is created automatically if the Invoice control of the purchase order is 'On order'. The invoice can also be generated manually by the accountant (Invoice control = Manual).&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_invoicecontrol0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_approvepurchaseorder0"/>
+            <field eval="[(6,0,[ref('purchase.trans_router_invoice')])]" name="transition_ids"/>
+        </record>
+ -->
+        <record id="purchase.process_transition_createpackinglist0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Pick list generated&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;A pick list is generated to track the incoming products.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_packinglist0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_approvepurchaseorder0"/>
+        </record>
+<!-- 
+        <record id="purchase.process_transition_invoicefrompackinglist0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The invoice is created automatically if the Invoice control of the purchase order is 'On picking'. The invoice can also be generated manually by the accountant (Invoice control = Manual).&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_invoiceafterpacking0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_packinglist0"/>
+        </record>
+ -->
+        <record id="purchase.process_transition_purchaseinvoice0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From a purchase order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;A purchase order generates a supplier invoice, as soon as it is confirmed by the buyer. Depending on the Invoicing control of the purchase order, the invoice is based on received or on ordered quantities.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="account.process_node_supplierdraftinvoices0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_purchaseorder0"/>
+        </record>
+
+        <record id="purchase.process_transition_packinginvoice0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From a Pick list&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;A Pick list generates an invoice. Depending on the Invoicing control of the sale order, the invoice is based on delivered or on ordered quantities.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="account.process_node_draftinvoices0"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_packinginvoice0"/>
+        </record>
+
+        <!--
+            Process Action
+        -->
+
+        <record id="purchase.process_transition_action_confirmpurchaseorder0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;wkf_confirm_order&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Confirm&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="purchase.process_transition_confirmingpurchaseorder0"/>
+        </record>
+
+        <record id="purchase.process_transition_action_cancelpurchaseorder0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;write({'state':'cancel'})&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="purchase.process_transition_confirmingpurchaseorder0"/>
+        </record>
+
+        <record id="purchase.process_transition_action_approvingpurchaseorder0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;wkf_approve_order&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Approve&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="purchase.process_transition_approvingpurchaseorder0"/>
+        </record>
+
+        <record id="purchase.process_transition_action_approvingcancelpurchaseorder0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;write({'state':'cancel'})&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="purchase.process_transition_approvingpurchaseorder0"/>
+        </record>.
+<!-- 
+        <record id="purchase.process_transition_action_invoicefrompurchaseorder0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_invoice_create&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Create invoice&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="purchase.process_transition_invoicefrompurchase0"/>
+        </record>
+ -->
+    </data>
+</openerp>

=== added file 'msf_processes/process/rfq_process.xml'
--- msf_processes/process/rfq_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/rfq_process.xml	2012-05-24 14:44:00 +0000
@@ -0,0 +1,124 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+        <!--
+            Process
+        -->
+
+        <record id="purchase.process_process_rfq0" model="process.process">
+            <field eval="1" name="active"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;Request for Quotation&quot;&quot;&quot;" name="name"/>
+        </record>
+
+        <!--
+            Process Node
+        -->
+        
+        <record id="purchase.process_node_rfq_draft" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_rfq"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;RFQ - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of request for quotation.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_rfq0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'rfq_sent', 'rfq_updated', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="purchase.process_node_rfq_sent" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_rfq"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;RFQ - sent&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Sent state of request for quotation.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_rfq0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('rfq_sent', 'rfq_updated', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="purchase.process_node_rfq_updated" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_rfq"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;RFQ - updated&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Updated state of request for quotation.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_rfq0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('rfq_updated', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="purchase.process_node_rfq_done" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_rfq"/>
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;RFQ - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of request for quotation.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_rfq0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!--
+            Process Condition
+        -->
+
+        <record id="purchase.process_condition_rfq_draft_rfq_ok" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_rfq_draft"/>
+            <field eval="&quot;&quot;&quot;object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_rfq_draft&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="purchase.process_condition_rfq_sent_rfq_ok" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_rfq_sent"/>
+            <field eval="&quot;&quot;&quot;object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_rfq_sent&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="purchase.process_condition_rfq_updated_rfq_ok" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_rfq_updated"/>
+            <field eval="&quot;&quot;&quot;object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_rfq_updated&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="purchase.process_condition_rfq_done_rfq_ok" model="process.condition">
+            <field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="purchase.process_node_rfq_done"/>
+            <field eval="&quot;&quot;&quot;object.rfq_ok&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_rfq_done&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <!--
+            Process Transition
+        -->
+
+        <record id="purchase.process_transition_rfq_draft_sent" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From Draft to Sent&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From Draft to Sent&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_rfq_draft"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_rfq_sent"/>
+        </record>
+        
+        <record id="purchase.process_transition_rfq_sent_updated" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From Sent to Updated&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From Sent to Updated&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_rfq_sent"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_rfq_updated"/>
+        </record>
+        
+        <record id="purchase.process_transition_rfq_updated_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From Updated to Done&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From Updated to Done&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="purchase.process_node_rfq_updated"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_rfq_done"/>
+        </record>
+
+    </data>
+</openerp>

=== added file 'msf_processes/process/sale_process.xml'
--- msf_processes/process/sale_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/sale_process.xml	2012-06-07 15:50:33 +0000
@@ -0,0 +1,385 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+        <!--
+            Process
+        -->
+
+        <record id="sale.process_process_salesprocess0" model="process.process">
+            <field eval="1" name="active"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;Sales&quot;&quot;&quot;" name="name"/>
+        </record>
+
+        <!--
+            Process Node
+        -->
+
+        <record id="sale.process_node_quotation0" model="process.node">
+            <field name="menu_id" ref="sale.menu_sale_order"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;FO - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of field order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'waiting_date', 'manual', 'progress', 'validated', 'shipping_except', 'invoice_except', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+
+        <record id="sale.process_node_saleorder0" model="process.node">
+            <field name="menu_id" ref="sale.menu_sale_order"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;FO - validated&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Validated state of field order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('waiting_date', 'manual', 'progress', 'validated', 'shipping_except', 'invoice_except', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="sale.process_node_saleorder_confirm" model="process.node">
+            <field name="menu_id" ref="sale.menu_sale_order"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;FO - confirmed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Confirmed state of field order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('waiting_date', 'manual', 'progress', 'shipping_except', 'invoice_except', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="sale.process_node_saleorder_done" model="process.node">
+            <field name="menu_id" ref="sale.menu_sale_order"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;FO - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of field order.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="sale.process_node_saleprocurement0" model="process.node">
+            <field name="menu_id" ref="procurement.menu_stock_procurement_action"/>
+            <!-- <field name="model_id" ref="procurement.model_procurement_order"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Sourcing&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Sourcing subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="procurement.process_process_procurementprocess0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state == 'confirmed'&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="sale.process_node_sale_tender" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <!-- <field name="model_id" ref="tender_flow.model_tender"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Tender subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="tender_flow.process_process_tender"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state == 'draft'&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="sale.process_node_sale_po" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <!-- <field name="model_id" ref="procurement.model_procurement_order"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Purchase Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Purchase Order subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="purchase.process_process_purchaseprocess0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state == 'confirmed'&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="sale.process_node_packinglist0" model="process.node">
+        	<field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <!-- <field name="model_id" ref="stock.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Incoming Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming Products subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="stock.process_process_incoming0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('assigned', 'confirmed')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+
+        <record id="sale.process_node_deliveryorder0" model="process.node">
+        	<field name="menu_id" ref="msf_outgoing.menu_action_picking_ticket"/>
+            <!-- <field name="model_id" ref="stock.model_stock_picking"/> -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Outgoing Products.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Outgoing Products.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="msf_outgoing.process_process_outgoing0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('done', 'assigned')&quot;&quot;&quot;" name="model_states"/> -->
+            <field eval="0" name="flow_start"/>
+        </record>
+<!-- 
+        <record id="sale.process_node_invoice0" model="process.node">
+            <field name="menu_id" ref="account.menu_action_invoice_tree1"/>
+            <field name="model_id" ref="account.model_account_invoice"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;To be reviewed by the accountant.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="account.process_process_invoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state=='draft'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+ -->
+<!-- 
+        <record id="sale.process_node_invoiceafterdelivery0" model="process.node">
+            <field name="menu_id" ref="account.menu_action_invoice_tree1"/>
+            <field name="model_id" ref="account.model_account_invoice"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Based on the shipped or on the ordered quantities.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="sale.process_process_salesprocess0"/>
+            <field name="subflow_id" ref="account.process_process_invoiceprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state=='draft'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+ -->
+ 
+		<!-- 
+			Back Node in procurement process
+		 -->
+<!-- 
+        <record id="sale.process_node_saleorderprocurement0" model="process.node">
+            <field name="menu_id" ref="sale.menu_sale_order"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Field Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Drives procurement orders for every sales order line.&quot;&quot;&quot;" name="note"/>
+            <field name="subflow_id" ref="sale.process_process_salesprocess0"/>
+            <field name="process_id" ref="procurement.process_process_procurementprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state != False&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+ -->
+ <!-- 
+        <record id="sale.process_transition_saleorderprocurement0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Procurement of sold material&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;For every sales order line, a procurement order is created to supply the sold product.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="target_node_id" ref="procurement.process_node_procureproducts0"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleorderprocurement0"/>
+        </record>
+ -->
+
+		<!-- 
+			Back Node in account process
+		 -->
+		 
+		<record id="sale.process_node_order0" model="process.node">
+            <field name="menu_id" ref="sale.menu_sale_order"/>
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Sales Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Confirmed sales order to invoice.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="account.process_process_invoiceprocess0"/>
+            <field name="subflow_id" ref="sale.process_process_salesprocess0"/>
+            <field eval="&quot;&quot;&quot;object.state=='draft'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="sale.process_transition_saleinvoice0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From a sales order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Depending on the Invoicing control of the sales order, the invoice can be based on delivered or on ordered quantities. Thus, a sales order can generates an invoice or a delivery order as soon as it is confirmed by the salesman.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_order0"/>
+            <field model="process.node" name="target_node_id" ref="account.process_node_draftinvoices0"/>
+        </record>
+ 
+        <!--
+            Process Condition
+        -->
+<!-- 
+        <record id="sale.process_condition_conditionafterdelivery0" model="process.condition">
+            <field name="model_id" ref="sale.model_sale_order"/>
+            <field name="node_id" ref="sale.process_node_invoiceafterdelivery0"/>
+            <field eval="&quot;&quot;&quot;object.order_policy=='postpaid'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="&quot;&quot;&quot;condition_after_delivery&quot;&quot;&quot;" name="name"/>
+        </record>
+ -->
+        <!--
+            Process Transition
+        -->
+        
+        <record id="sale.process_transition_validatequotation0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Confirm Field Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The salesman confirms the field order.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_quotation0"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_saleorder0"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="sale.process_transition_confirmquotation0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Validate Field Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The salesman validates the field order.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleorder0"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_saleorder_confirm"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+        
+        <record id="sale.process_transition_so_confirm_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Close Field Order.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Close Field Order.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleorder_confirm"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_saleorder_done"/>
+            <field eval="[(6,0,[ref('sale.trans_draft_router')])]" name="transition_ids"/>
+        </record>
+
+        <record id="sale.process_transition_saleprocurement0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Create Procurement Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;A procurement order is automatically created as soon as a sales order is confirmed or as the invoice is paid. It drives the purchasing and the production of products regarding to the rules and to the sales order's parameters. &quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleorder_confirm"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_saleprocurement0"/>
+        </record>
+
+        <record id="sale.process_transition_packing0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Create Pick List&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The Pick List form is created as soon as the sales order is confirmed, in the same time as the procurement order. It represents the assignment of parts to the sales order. There is 1 pick list by sales order line which evolves with the availability of parts.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_sale_po"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_packinglist0"/>
+        </record>
+
+        <record id="sale.process_transition_deliver0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Create Delivery Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Depending on the configuration of the location Output, the move between the output area and the customer is done through the Delivery Order manually or automatically.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleorder_confirm"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_deliveryorder0"/>
+        </record>
+        
+        <record id="sale.process_transition_sale_proc_tender" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From procurement to tender.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From procurement to tender.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleprocurement0"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_sale_tender"/>
+        </record>
+        
+        <record id="sale.process_transition_sale_tender_po" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From tender to po.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From tender to po.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_sale_tender"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_sale_po"/>
+        </record>
+        
+        <record id="sale.process_transition_sale_proc_po" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From procurement to po.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From procurement to po.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleprocurement0"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_sale_po"/>
+        </record>
+<!-- 
+        <record id="sale.process_transition_invoice0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Create Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The Salesman creates an invoice manually, if the sales order shipping policy is 'Shipping and Manual in Progress'. The invoice is created automatically if the shipping policy is 'Payment before Delivery'.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_saleorder_confirm"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_invoice0"/>
+            <field eval="[(6,0,[ref('sale.trans_wait_invoice_invoice_manual')])]" name="transition_ids"/>
+        </record>
+ -->
+<!-- 
+        <record id="sale.process_transition_invoiceafterdelivery0" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;Create Invoice&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;The invoice is created automatically if the shipping policy is 'Invoice from pick' or 'Invoice on order after delivery'.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="sale.process_node_packinglist0"/>
+            <field model="process.node" name="target_node_id" ref="sale.process_node_invoiceafterdelivery0"/>
+        </record>
+ -->
+
+        <!--
+            Process Action
+        -->
+
+        <record id="sale.process_transition_action_confirm0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_wait&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Confirm&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_confirmquotation0"/>
+        </record>
+
+        <record id="sale.process_transition_action_cancel0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_cancel&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_confirmquotation0"/>
+        </record>
+
+        <record id="sale.process_transition_action_assign0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_assign&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Assign&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_packing0"/>
+        </record>
+
+        <record id="sale.process_transition_action_forceassignation0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;force_assign&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Force Assignation&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_packing0"/>
+        </record>
+
+        <record id="sale.process_transition_action_cancel1" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_cancel&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_packing0"/>
+        </record>
+
+        <record id="sale.process_transition_action_cancelassignation0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;cancel_assign&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel Assignation&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_deliver0"/>
+        </record>
+
+        <record id="sale.process_transition_action_validate0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;test_finished&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Validate&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_deliver0"/>
+        </record>
+
+        <record id="sale.process_transition_action_cancel2" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_cancel&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_deliver0"/>
+        </record>
+<!-- 
+        <record id="sale.process_transition_action_createinvoice0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_invoice_create&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Create Invoice&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_invoice0"/>
+        </record>
+ -->
+<!-- 
+        <record id="sale.process_transition_action_cancelorder0" model="process.transition.action">
+            <field eval="&quot;&quot;&quot;action_cancel&quot;&quot;&quot;" name="action"/>
+            <field eval="&quot;&quot;&quot;object&quot;&quot;&quot;" name="state"/>
+            <field eval="&quot;&quot;&quot;Cancel Order&quot;&quot;&quot;" name="name"/>
+            <field name="transition_id" ref="sale.process_transition_invoice0"/>
+        </record>
+ -->
+
+    </data>
+</openerp>

=== added file 'msf_processes/process/ship_process.xml'
--- msf_processes/process/ship_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/ship_process.xml	2012-06-07 13:41:39 +0000
@@ -0,0 +1,67 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+		<!-- Process process -->
+        
+        <record id="msf_outgoing.process_process_ship0" model="process.process">
+            <field eval="&quot;&quot;&quot;Shipment&quot;&quot;&quot;" name="name"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="1" name="active"/>
+        </record>
+        
+        <!-- Process Node outgoing -->
+        
+		<record id="msf_outgoing.process_node_ship_shipped" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment - shipped&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Shipped state of shipment.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ship0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('shipped', 'done', 'delivered')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_ship_done" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of shipment.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ship0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('done', 'delivered')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="msf_outgoing.process_node_ship_delivered" model="process.node">
+            <field name="menu_id" ref="msf_outgoing.menu_action_shipment"/>
+            <field name="model_id" ref="msf_outgoing.model_shipment"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Shipment - delivered&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Delivered state of shipment.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="msf_outgoing.process_process_ship0"/>
+            <field eval="&quot;&quot;&quot;object.state == 'delivered'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- Transition Node -->
+        
+        <record id="msf_outgoing.process_transition_ship_shipped_done" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From shipped to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From shipped to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_ship_shipped"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_ship_done"/>
+        </record>
+        
+        <record id="msf_outgoing.process_transition_ship_done_delivered" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From closed to delivered.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From closed to delivered.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="msf_outgoing.process_node_ship_done"/>
+            <field model="process.node" name="target_node_id" ref="msf_outgoing.process_node_ship_delivered"/>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'msf_processes/process/tender_process.xml'
--- msf_processes/process/tender_process.xml	1970-01-01 00:00:00 +0000
+++ msf_processes/process/tender_process.xml	2012-05-25 13:23:50 +0000
@@ -0,0 +1,207 @@
+<?xml version="1.0" ?>
+<openerp>
+    <data>
+
+        <!--
+            Process
+        -->
+
+        <record id="tender_flow.process_process_tender" model="process.process">
+            <field eval="1" name="active"/>
+            <field name="model_id" ref="tender_flow.model_tender" />
+            <field eval="&quot;&quot;&quot;Tender&quot;&quot;&quot;" name="name"/>
+        </record>
+
+        <!--
+            Process Node
+        -->
+        
+        <record id="tender_flow.process_node_tender_draft" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <field name="model_id" ref="tender_flow.model_tender"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender - draft&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Draft state of tender.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="tender_flow.process_process_tender"/>
+            <field eval="&quot;&quot;&quot;object.state in ('draft', 'comparison', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_node_tender_comparison" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <field name="model_id" ref="tender_flow.model_tender"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender - comparison&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Comparison state of tender.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="tender_flow.process_process_tender"/>
+            <field eval="&quot;&quot;&quot;object.state in ('comparison', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_node_tender_closed" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <field name="model_id" ref="tender_flow.model_tender"/>
+            <field eval="&quot;&quot;&quot;state&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender - closed&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Closed state of tender.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="tender_flow.process_process_tender"/>
+            <field eval="&quot;&quot;&quot;object.state == 'done'&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_node_tender_rfq" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_rfq"/>
+            <!-- <field name="model_id" ref="purchase.model_purchase_order"/> --> <!-- I dont put any model, so the reference of the po is not displayed, which was wrong anyway, was the last of the rfqs only -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;RFQs&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Generated RFQs subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="tender_flow.process_process_tender"/>
+            <field name="subflow_id" ref="purchase.process_process_rfq0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('comparison', 'done')&quot;&quot;&quot;" name="model_states"/> --> <!-- visibility modification with process.condition -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_node_tender_po" model="process.node">
+            <field name="menu_id" ref="purchase.menu_purchase_form_action"/>
+            <!-- <field name="model_id" ref="purchase.model_purchase_order"/> --> <!-- I dont put any model, so the reference of the po is not displayed, which was wrong anyway, was the reference of the rfq -->
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Purchase Order&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Generated purchase order subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="tender_flow.process_process_tender"/>
+            <field name="subflow_id" ref="purchase.process_process_purchaseprocess0"/>
+            <!-- <field eval="&quot;&quot;&quot;object.state in ('comparison', 'done')&quot;&quot;&quot;" name="model_states"/> --> <!-- visibility modification with process.condition -->
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_node_tender_in" model="process.node">
+            <field name="menu_id" ref="stock.menu_action_picking_tree4"/>
+            <field name="model_id" ref="purchase.model_stock_picking"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Incoming Products&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Incoming products subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="tender_flow.process_process_tender"/>
+            <field name="subflow_id" ref="stock.process_process_incoming0"/>
+            <field eval="&quot;&quot;&quot;object.state in ('comparison', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="0" name="flow_start"/>
+        </record>
+        
+        <!-- 
+        	Call back nodes in purchase order process
+        -->
+        <!-- 
+        <record id="tender_flow.process_node_po_back_tender" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <field name="model_id" ref="tender_flow.model_tender"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Tender subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_purchaseprocess0"/>
+            <field name="subflow_id" ref="tender_flow.process_process_tender"/>
+            <field eval="&quot;&quot;&quot;object.state in ('approved', 'except_picking', 'except_invoice', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_condition_po_back_tender" model="process.condition">
+        	<field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="tender_flow.process_node_po_back_tender"/>
+            <field eval="&quot;&quot;&quot;object.state != 'draft'&quot;&quot;&quot;" name="model_states"/> dummy condition to be completed when function attributes are available
+            <field eval="&quot;&quot;&quot;condition_tender_back_po&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="tender_flow.process_transition_tender_po_back_draft" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From back tender subflow to draft po.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From back tender subflow to draft po.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_po_back_tender"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_draftpurchaseorder0"/>
+        </record>
+        
+        
+        	Call back nodes in rfq process
+        
+        
+        <record id="tender_flow.process_node_rfq_back_tender" model="process.node">
+            <field name="menu_id" ref="tender_flow.menu_tender"/>
+            <field name="model_id" ref="tender_flow.model_tender"/>
+            <field eval="&quot;&quot;&quot;subflow&quot;&quot;&quot;" name="kind"/>
+            <field eval="&quot;&quot;&quot;Tender&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;Tender subflow.&quot;&quot;&quot;" name="note"/>
+            <field name="process_id" ref="purchase.process_process_rfq0"/>
+            <field name="subflow_id" ref="tender_flow.process_process_tender"/>
+            <field eval="&quot;&quot;&quot;object.state in ('approved', 'except_picking', 'except_invoice', 'done')&quot;&quot;&quot;" name="model_states"/>
+            <field eval="1" name="flow_start"/>
+        </record>
+        
+        <record id="tender_flow.process_condition_rfq_back_tender" model="process.condition">
+        	<field name="model_id" ref="purchase.model_purchase_order"/>
+            <field name="node_id" ref="tender_flow.process_node_rfq_back_tender"/>
+            <field eval="&quot;&quot;&quot;object.state != 'draft'&quot;&quot;&quot;" name="model_states"/> dummy condition to be completed when function attributes are available
+            <field eval="&quot;&quot;&quot;condition_tender_back_rfq&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <record id="tender_flow.process_transition_tender_rfq_back_draft" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From back tender subflow to draft rfq.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From back tender subflow to draft rfq.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_rfq_back_tender"/>
+            <field model="process.node" name="target_node_id" ref="purchase.process_node_rfq_draft"/>
+        </record>
+         -->
+        <!--
+            Process Condition
+        -->
+        
+        <record id="tender_flow.process_condition_tender_po_state" model="process.condition">
+        	<field name="model_id" ref="purchase.model_purchase_order"/>
+            <!-- <field name="model_id" ref="tender_flow.model_tender"/> --> <!-- tender object so we can check on tender attribute -->
+            <field name="node_id" ref="tender_flow.process_node_tender_po"/>
+            <field eval="&quot;&quot;&quot;object.state == False&quot;&quot;&quot;" name="model_states"/> <!-- dummy condition to be completed when function attributes are available -->
+            <field eval="&quot;&quot;&quot;condition_tender_po&quot;&quot;&quot;" name="name"/>
+        </record>
+        
+        <!--
+            Process Transition
+        -->
+
+        <record id="tender_flow.process_transition_tender_draft_comparison" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to comparison.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to comparison.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_tender_draft"/>
+            <field model="process.node" name="target_node_id" ref="tender_flow.process_node_tender_comparison"/>
+        </record>
+        
+        <record id="tender_flow.process_transition_tender_comparison_closed" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From comparison to closed.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From comparison to closed.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_tender_comparison"/>
+            <field model="process.node" name="target_node_id" ref="tender_flow.process_node_tender_closed"/>
+        </record>
+        
+        <record id="tender_flow.process_transition_tender_draft_rfq" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From draft to rfq.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From draft to rfq.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_tender_draft"/>
+            <field model="process.node" name="target_node_id" ref="tender_flow.process_node_tender_rfq"/>
+        </record>
+        
+        <record id="tender_flow.process_transition_tender_rfq_po" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From rfq to po.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From rfq to po.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_tender_rfq"/>
+            <field model="process.node" name="target_node_id" ref="tender_flow.process_node_tender_po"/>
+        </record>
+        
+        <record id="tender_flow.process_transition_tender_po_in" model="process.transition">
+            <field eval="[(6,0,[])]" name="transition_ids"/>
+            <field eval="&quot;&quot;&quot;From po to in.&quot;&quot;&quot;" name="name"/>
+            <field eval="&quot;&quot;&quot;From po to in.&quot;&quot;&quot;" name="note"/>
+            <field model="process.node" name="source_node_id" ref="tender_flow.process_node_tender_po"/>
+            <field model="process.node" name="target_node_id" ref="tender_flow.process_node_tender_in"/>
+        </record>
+
+    </data>
+</openerp>

=== modified file 'msf_profile/__openerp__.py'
--- msf_profile/__openerp__.py	2012-05-29 08:27:26 +0000
+++ msf_profile/__openerp__.py	2012-06-04 13:54:57 +0000
@@ -98,6 +98,7 @@
         "purchase_allocation_report",
         "supplier_catalogue",
         "msf_cross_docking",
+        "msf_processes",
     ],
     "update_xml": [
         "report.xml",

=== modified file 'msf_profile/i18n/en_MF.po'
--- msf_profile/i18n/en_MF.po	2012-04-16 09:01:45 +0000
+++ msf_profile/i18n/en_MF.po	2012-05-25 13:23:50 +0000
@@ -274,7 +274,7 @@
 #. module: sale
 #: model:process.node,name:sale.process_node_saleorderprocurement0
 msgid "Sales Order Requisition"
-msgstr "Field Order Requisition"
+msgstr "Field Order"
 
 #. module: sale
 #: view:sale.report:0
@@ -410,7 +410,6 @@
 #: model:ir.model,name:res_currency_functional.model_sale_order
 #: model:ir.model,name:sale.model_sale_order
 #: model:process.node,name:sale.process_node_order0
-#: model:process.node,name:sale.process_node_saleorder0
 #: model:res.request.link,name:sale.req_link_sale_order
 #: view:sale.order:0
 #: field:stock.picking,sale_id:0

=== modified file 'sale_override/__init__.py'
--- sale_override/__init__.py	2012-03-05 12:49:45 +0000
+++ sale_override/__init__.py	2012-05-22 13:24:05 +0000
@@ -1,9 +1,9 @@
 SALE_ORDER_STATE_SELECTION = [
     ('draft', 'Draft'),
     ('waiting_date', 'Waiting Schedule'),
+    ('validated', 'Validated'),
     ('manual', 'Confirmed'),
     ('progress', 'Confirmed'),
-    ('validated', 'Validated'),
     ('shipping_except', 'Shipping Exception'),
     ('invoice_except', 'Invoice Exception'),
     ('done', 'Closed'),

